nodejs-tap-0.4.4-5.mga6.noarch.rpm


Advertisement

Description

nodejs-tap - A Test Anything Protocol library

Distribution: Mageia Cauldron
Repository: Mageia Core i586
Package name: nodejs-tap
Package version: 0.4.4
Package release: 5.mga6
Package architecture: noarch
Package type: rpm
Installed size: 71.82 KB
Download size: 34.27 KB
Official Mirror: distrib-coffee.ipsl.jussieu.fr
This is a mix-and-match set of utilities that you can use to write test harnesses and frameworks that communicate with one another using the Test Anything Protocol.

Alternatives

Provides

  • nodejs-tap == 0.4.4-5.mga6
  • npm(tap) == 0.4.4

    Download

    Install Howto

    1. Enable Mageia Core repository on "Install and Remove Software"
    2. Update packages list:
      # urpmi.update -a
    3. Install nodejs-tap rpm package:
      # urpmi nodejs-tap

    Files

    • /usr/bin/tap
    • /usr/lib/node_modules/tap/package.json
    • /usr/lib/node_modules/tap/bin/tap-http.js
    • /usr/lib/node_modules/tap/bin/tap-reader.js
    • /usr/lib/node_modules/tap/bin/tap.js
    • /usr/lib/node_modules/tap/lib/main.js
    • /usr/lib/node_modules/tap/lib/tap-assert.js
    • /usr/lib/node_modules/tap/lib/tap-browser-harness.js
    • /usr/lib/node_modules/tap/lib/tap-consumer.js
    • /usr/lib/node_modules/tap/lib/tap-cov-html.js
    • /usr/lib/node_modules/tap/lib/tap-global-harness.js
    • /usr/lib/node_modules/tap/lib/tap-harness.js
    • /usr/lib/node_modules/tap/lib/tap-producer.js
    • /usr/lib/node_modules/tap/lib/tap-results.js
    • /usr/lib/node_modules/tap/lib/tap-runner.js
    • /usr/lib/node_modules/tap/lib/tap-test.js
    • /usr/lib/node_modules/tap/node_modules/buffer-equal
    • /usr/lib/node_modules/tap/node_modules/deep-equal
    • /usr/lib/node_modules/tap/node_modules/difflet
    • /usr/lib/node_modules/tap/node_modules/glob
    • /usr/lib/node_modules/tap/node_modules/inherits
    • /usr/lib/node_modules/tap/node_modules/mkdirp
    • /usr/lib/node_modules/tap/node_modules/nopt
    • /usr/lib/node_modules/tap/node_modules/runforcover
    • /usr/lib/node_modules/tap/node_modules/slide
    • /usr/lib/node_modules/tap/node_modules/yamlish
    • /usr/lib/rpm/macros.d/macros.tap
    • /usr/share/doc/nodejs-tap/AUTHORS
    • /usr/share/doc/nodejs-tap/LICENSE
    • /usr/share/doc/nodejs-tap/README.md
    • /usr/share/doc/nodejs-tap/coverage-example/
    • /usr/share/doc/nodejs-tap/coverage-example/lib/bar.js
    • /usr/share/doc/nodejs-tap/coverage-example/lib/foo.js
    • /usr/share/doc/nodejs-tap/coverage-example/test/bar.test.js
    • /usr/share/doc/nodejs-tap/coverage-example/test/baz.test.js
    • /usr/share/doc/nodejs-tap/coverage-example/test/foo.test.js
    • /usr/share/doc/nodejs-tap/example/
    • /usr/share/doc/nodejs-tap/example/lib/math.js
    • /usr/share/doc/nodejs-tap/example/test/test-example.js

    Changelog

    2016-05-16 - neoclust <neoclust> 0.4.4-5.mga6 + Revision: 1016188 - Fix deps version + umeabot <umeabot> - Mageia 6 Mass Rebuild + tv <tv> - reenable testsuite

    2014-10-29 - tv <tv> 0.4.4-2.mga5 + Revision: 794597 - patch 2: relax deps

    2014-10-28 - tv <tv> 0.4.4-1.mga5 + Revision: 793999 - disable tests - imported package nodejs-tap

    2014-10-27 - Thierry Vignaud <tv@mageia.org> 0.4.4-1.mga5 - import from FC

    2013-09-03 - Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.4-1 - update to upstream release 0.4.4

    2013-08-03 - T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.4.1-7 - BuildRequire the correct version of inherits

    2013-08-03 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-7 - Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

    2013-07-11 - Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.1-6 - temporarily disable test/segv.js, as in local mock the test receives SIGSEGV but in koji it receives SIGTERM instead

    2013-07-10 - T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.4.1-5 - enable tests - force the use inherits@1 since this module is incompatible with inherits@2

    2013-06-24 - T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.4.1-4 - fix glob dep

    Advertisement
    Advertisement